<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TextIO (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextIO (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextIO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/TextIO.html" target="_top">Frames</a></li>
<li><a href="TextIO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.io</div>
<h2 title="Class TextIO" class="title">Class TextIO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.io.TextIO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a>, <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>, <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TextIO</span>
extends java.lang.Object
implements <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a></pre>
<div class="block">Class <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a> interacting with to user over the command line.

 The User get the Board as a text and after each Move he gets the new board.
 He can surrender if he writes in the cli "surrender" or nothing.
 The move must be written like A1->A2.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.5 July 06th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kai Kuhlmann, Niklas Mueller</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_BLUE">ANSI_BLUE</a></span></code>
<div class="block">Command Line Color = Blue</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_CYAN">ANSI_CYAN</a></span></code>
<div class="block">Command Line Color = Cyan</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_PURPLE">ANSI_PURPLE</a></span></code>
<div class="block">Command Line Color = Purple</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_RED">ANSI_RED</a></span></code>
<div class="block">Command Line Color = Red</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_RESET">ANSI_RESET</a></span></code>
<div class="block">Normal Command Line Color</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_WHITE">ANSI_WHITE</a></span></code>
<div class="block">Command Line Color = White</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#ANSI_YELLOW">ANSI_YELLOW</a></span></code>
<div class="block">Command Line Color = Yellow</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#debugInstance">debugInstance</a></span></code>
<div class="block">Debug Instance of <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#save">save</a></span></code>
<div class="block">Shows, if the user wants to save the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#saveGameName">saveGameName</a></span></code>
<div class="block">name of the Save-game</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Scanner</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#scanner">scanner</a></span></code>
<div class="block">Private Scanner-Object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#viewer">viewer</a></span></code>
<div class="block">Viewer-Object</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#TextIO--">TextIO</a></span>()</code>
<div class="block">Constructor to Initialize the TextIO.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#deliver--">deliver</a></span>()</code>
<div class="block">Overridden method deliver() parsing a textual input from the standard-input into a <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#dialog-java.lang.String-">dialog</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Overriden method to display the turnament or game Results.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#display-java.lang.String-">display</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Overriden method display to get possibility for other classes to inform user.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#getSave--">getSave</a></span>()</code>
<div class="block">Returns true when the game should be saved.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#getSaveGameName--">getSaveGameName</a></span>()</code>
<div class="block">Returns the name for the Savegame.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#positionToString-towerwarspp.preset.Position-">positionToString</a></span>(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Method positionToString() showing if there is an <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> at given <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> and what kind.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Set the Title of the Game</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></span>(<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</code>
<div class="block">Overridden method setViewer() to set own <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset"><code>Viewer</code></a>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/TextIO.html#visualize--">visualize</a></span>()</code>
<div class="block">Output of the Board and his Entities.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ANSI_RESET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_RESET</h4>
<pre>private static final&nbsp;java.lang.String ANSI_RESET</pre>
<div class="block">Normal Command Line Color</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_RESET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ANSI_RED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_RED</h4>
<pre>private static final&nbsp;java.lang.String ANSI_RED</pre>
<div class="block">Command Line Color = Red</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_RED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ANSI_BLUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_BLUE</h4>
<pre>private static final&nbsp;java.lang.String ANSI_BLUE</pre>
<div class="block">Command Line Color = Blue</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_BLUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ANSI_PURPLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_PURPLE</h4>
<pre>private static final&nbsp;java.lang.String ANSI_PURPLE</pre>
<div class="block">Command Line Color = Purple</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_PURPLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ANSI_YELLOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_YELLOW</h4>
<pre>private static final&nbsp;java.lang.String ANSI_YELLOW</pre>
<div class="block">Command Line Color = Yellow</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_YELLOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ANSI_CYAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_CYAN</h4>
<pre>private static final&nbsp;java.lang.String ANSI_CYAN</pre>
<div class="block">Command Line Color = Cyan</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_CYAN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ANSI_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_WHITE</h4>
<pre>private static final&nbsp;java.lang.String ANSI_WHITE</pre>
<div class="block">Command Line Color = White</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.io.TextIO.ANSI_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="viewer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>viewer</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> viewer</pre>
<div class="block">Viewer-Object</div>
</li>
</ul>
<a name="scanner">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scanner</h4>
<pre>private&nbsp;java.util.Scanner scanner</pre>
<div class="block">Private Scanner-Object</div>
</li>
</ul>
<a name="debugInstance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugInstance</h4>
<pre>private&nbsp;<a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debugInstance</pre>
<div class="block">Debug Instance of <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</li>
</ul>
<a name="saveGameName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveGameName</h4>
<pre>private&nbsp;java.lang.String saveGameName</pre>
<div class="block">name of the Save-game</div>
</li>
</ul>
<a name="save">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>save</h4>
<pre>private&nbsp;boolean save</pre>
<div class="block">Shows, if the user wants to save the game.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TextIO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TextIO</h4>
<pre>public&nbsp;TextIO()</pre>
<div class="block">Constructor to Initialize the TextIO.
 Initialize the Scanner for textinput.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="positionToString-towerwarspp.preset.Position-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>positionToString</h4>
<pre>private&nbsp;java.lang.String&nbsp;positionToString(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</pre>
<div class="block">Method positionToString() showing if there is an <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> at given <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> and what kind.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> of the <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String containing representation of the <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a></dd>
</dl>
</li>
</ul>
<a name="setViewer-towerwarspp.preset.Viewer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setViewer</h4>
<pre>public&nbsp;void&nbsp;setViewer(<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</pre>
<div class="block">Overridden method setViewer() to set own <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset"><code>Viewer</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>viewer</code> - <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset"><code>Viewer</code></a> object to be set as <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset"><code>Viewer</code></a></dd>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;string)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../towerwarspp/io/View.html#setTitle-java.lang.String-">View</a></code></span></div>
<div class="block">Set the Title of the Game</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#setTitle-java.lang.String-">setTitle</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - additional Information which should be displayed</dd>
</dl>
</li>
</ul>
<a name="visualize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visualize</h4>
<pre>public&nbsp;void&nbsp;visualize()</pre>
<div class="block">Output of the Board and his Entities.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#visualize--">visualize</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
</dl>
</li>
</ul>
<a name="display-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>display</h4>
<pre>public&nbsp;void&nbsp;display(java.lang.String&nbsp;string)</pre>
<div class="block">Overriden method display to get possibility for other classes to inform user.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#display-java.lang.String-">display</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - containing information for user</dd>
</dl>
</li>
</ul>
<a name="dialog-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dialog</h4>
<pre>public&nbsp;void&nbsp;dialog(java.lang.String&nbsp;string)</pre>
<div class="block">Overriden method to display the turnament or game Results.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#dialog-java.lang.String-">dialog</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - information which should be displayed on that Dialog.</dd>
</dl>
</li>
</ul>
<a name="deliver--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deliver</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;deliver()
             throws java.lang.Exception</pre>
<div class="block">Overridden method deliver() parsing a textual input from the standard-input into a <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Requestable.html#deliver--">deliver</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> user wants to make</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if Thread is interrupted</dd>
</dl>
</li>
</ul>
<a name="getSaveGameName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveGameName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSaveGameName()</pre>
<div class="block">Returns the name for the Savegame.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#getSaveGameName--">getSaveGameName</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the Savegame</dd>
</dl>
</li>
</ul>
<a name="getSave--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSave</h4>
<pre>public&nbsp;boolean&nbsp;getSave()</pre>
<div class="block">Returns true when the game should be saved.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#getSave--">getSave</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if save is in process.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextIO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/TextIO.html" target="_top">Frames</a></li>
<li><a href="TextIO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
